import BaiduMapMercatorTilingScheme from './BaiduMapTilingScheme';
declare class BaiduMapImageryProvider {
    _url: string;
    _ready: boolean;
    _resource: any;
    _tileDiscardPolicy: any;
    _tileWidth: number;
    _tileHeight: number;
    _minimumLevel: any;
    _maximumLevel: any;
    _tilingScheme: BaiduMapMercatorTilingScheme;
    _rectangle: any;
    _credit: any;
    enablePickFeatures: any;
    _hasAlphaChannel: boolean;
    _subdomains: any;
    _errorEvent: any;
    _readyPromise: any;
    _labelStyle: any;
    _qt: 'tile' | 'vtile';
    _styles: 'sl' | 'pl' | 'ph';
    _scale: '1' | '2';
    _showtext: '0' | '1';
    _ak: string;
    _mapStyle: 'img' | 'vec' | 'traffic' | 'normal' | 'light' | 'dark' | 'redalert' | 'googlelite' | 'grassgreen' | 'midnight' | 'pink' | 'darkgreen' | 'bluish' | 'grayscale' | 'hardedge';
    constructor(options: any);
    get url(): any;
    get proxy(): any;
    get tileWidth(): number;
    get tileHeight(): number;
    get maximumLevel(): any;
    get minimumLevel(): any;
    get tilingScheme(): BaiduMapMercatorTilingScheme;
    get rectangle(): any;
    get tileDiscardPolicy(): any;
    get errorEvent(): any;
    get ready(): boolean;
    get readyPromise(): any;
    get credit(): any;
    get hasAlphaChannel(): boolean;
    getTileCredits(x: any, y: any, level: any): any;
    requestImage(x: any, y: any, level: any, request: any): Promise<Cesium.ImageryTypes | Cesium.CompressedTextureBuffer>;
    pickFeatures(x: any, y: any, level: any, longitude: any, latitude: any): any;
}
export default BaiduMapImageryProvider;
